###--- >>> `chidden' <<<----- Continuous-Time Hidden Markov Chain Models

##___ Examples ___:

# model for one randomly-generated binary series
y <- c(rbinom(10,1,0.1), rbinom(10,1,0.9))
mu <- function(p) array(p, c(1,2))
print(z <- chidden(y, times=1:20, dist="Bernoulli",
        pgamma=matrix(c(-0.1,0.2,0.1,-0.2),ncol=2),
        cmu=mu, pcmu=c(-2,2)))
mexp(z$gamma)
plot(z)
print(z <- chidden(y, times=(1:20)*2, dist="Bernoulli",
        pgamma=matrix(c(-0.05,0.1,0.05,-0.1),ncol=2),
        cmu=mu, pcmu=c(-2,2)))
mexp(z$gamma) %*% mexp(z$gamma)
plot(z)



