###--- >>> `hidden' <<<----- Hidden Markov Chain Models

##___ Examples ___:

# generate two random Poisson sequences with change-points
y <- rbind(c(rpois(5,1), rpois(15,5)), c(rpois(15,1), rpois(5,5)))
mu <- function(p) array(rep(p[1:2],rep(2,2)), c(2,2))
print(z <- hidden(y,dist="Poisson", cmu=mu, pcmu=c(1,5),
        pgamma=matrix(c(0.9,0.2,0.1,0.8),ncol=2)))
plot(z, nind=1:2)
plot(z, nind=1:2, smooth=T)



